#
# spec file for package mpDris2
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           mpDris2
Version:        0.7
Release:        lp152.4.2
Summary:        MPRIS V2.1 support for mpd
License:        GPL-3.0-only
Group:          Productivity/Multimedia/Sound/Players
Url:            https://github.com/eonpatapon/mpDris2
Source:         https://github.com/eonpatapon/mpDris2/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
Patch:          interpreter.patch
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  intltool
BuildRequires:  update-desktop-files
Requires:       python2-python-mpd2
Recommends:     %{name}-lang
BuildArch:      noarch
%{perl_requires}

%description
mpDris2 provide MPRIS 2 support to mpd (Music Player Daemon). mpDris2 is
run in the user session and monitors a local or distant mpd server.

%lang_package

%prep
%setup -q
%patch -p1

%build
NOCONFIGURE=1 ./autogen.sh
%configure \
  --docdir=%{_docdir}/%{name}
make %{?_smp_mflags}

%install
%make_install
%find_lang %{name}

%files
%doc %{_docdir}/%{name}
%{_sysconfdir}/xdg/autostart/mpdris2.desktop
%{_bindir}/mpDris2
%{_prefix}/lib/systemd/user/mpDris2.service
%{_datadir}/applications/mpdris2.desktop
%{_datadir}/dbus-1
%{_datadir}/dbus-1/services
%{_datadir}/dbus-1/services/org.mpris.MediaPlayer2.mpd.service

%files lang -f %{name}.lang

%changelog
* Tue May  8 2018 sogal@volted.net
- Fix python-mpd module version
- Add interpreter.patch to fix env related warning
* Mon Sep 11 2017 mpluskal@suse.com
- Cleanup spec file and fix download url
* Mon Sep 11 2017 sogal@volted.net
- Initial build
